You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@trafficserver.apache.org by zw...@apache.org on 2015/01/09 01:02:50 UTC

trafficserver git commit: Add a new jenkins script to run the tsqa tests

Repository: trafficserver
Updated Branches:
  refs/heads/master 011e43405 -> a0998e18d


Add a new jenkins script to run the tsqa tests


Project: http://git-wip-us.apache.org/repos/asf/trafficserver/repo
Commit: http://git-wip-us.apache.org/repos/asf/trafficserver/commit/a0998e18
Tree: http://git-wip-us.apache.org/repos/asf/trafficserver/tree/a0998e18
Diff: http://git-wip-us.apache.org/repos/asf/trafficserver/diff/a0998e18

Branch: refs/heads/master
Commit: a0998e18dab88c7dd6696c3f90d764aaf788c233
Parents: 011e434
Author: Leif Hedstrom <zw...@apache.org>
Authored: Thu Jan 8 17:02:45 2015 -0700
Committer: Leif Hedstrom <zw...@apache.org>
Committed: Thu Jan 8 17:02:45 2015 -0700

----------------------------------------------------------------------
 ci/jenkins/tsqa.sh | 54 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/trafficserver/blob/a0998e18/ci/jenkins/tsqa.sh
----------------------------------------------------------------------
diff --git a/ci/jenkins/tsqa.sh b/ci/jenkins/tsqa.sh
new file mode 100644
index 0000000..ab4b736
--- /dev/null
+++ b/ci/jenkins/tsqa.sh
@@ -0,0 +1,54 @@
+#!/bin/sh
+#
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+
+# This does intentionally not run the regressions, it's primarily a "build" test
+
+# Test if we should enable CPPAPI (only 5.0 and later for now)
+enable_cppapi="--enable-cppapi"
+test "${JOB_NAME#*-4.2.x}" != "${JOB_NAME}" && enable_cppapi=""
+
+# Where do we run this?
+TS_PREFIX="/opt/jenkins/${JOB_NAME}"
+TSQA_TSXS=${TS_PREFIX}/bin/tsxs; export TSXS
+
+cd "${WORKSPACE}/src"
+
+rm -rf ${TS_PREFIX}
+
+# This needs to be added back when we resolve all debug build issues
+#    --enable-debug \
+autoreconf -fi
+./configure \
+    --prefix=${TS_PREFIX} \
+    --enable-ccache \
+    --enable-werror \
+    --enable-experimental-plugins \
+    --enable-test-tools \
+    ${enable_cppapi}
+
+${ATS_MAKE} -j8
+${ATS_MAKE} install
+${ATS_MAKE} clean
+
+# Run all the TSQA tests
+cd ci/tsqa || exit 2
+./run_all.sh
+status=$?
+
+# Exit with proper status, right now there's only one test, but still
+exit $status